<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('asset_groups', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('plans', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('requirement_groups', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('requirements', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('projects', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('tasks', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('users', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('department', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('approval_flows', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });

        Schema::table('naming_rules', function (Blueprint $table) {
            //
            $table->integer('display_id')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('asset_groups', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('plans', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('requirement_groups', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('requirements', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('projects', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('tasks', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('users', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('department', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('approval_flows', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });

        Schema::table('naming_rules', function (Blueprint $table) {
            //
            $table->dropColumn("display_id");
        });
    }
};
